# vispy.plot.fig module

class vispy.plot.fig.Fig(bgcolor='w', size=(800, 600), show=True, keys='interactive', **kwargs)

  Bases: `SceneCanvas`

  Create a figure window

  Parameters:
    bgcolor instance of Color

      Color to use for the background.

    size tuple

      Size of the figure window in pixels.

    show bool

      If True, show the window.

    **kwargs dict

      Keywoard arguments to pass to SceneCanvas base class.

  See also

  `PlotWidget`

    the axis widget for plotting

  `SceneCanvas`

    the super class

  Notes

  You can create a Figure, PlotWidget, and diagonal line plot like this:

      >>> from vispy.plot import Fig
      >>> fig = Fig()
      >>> ax = fig[0, 0]  # this creates a PlotWidget
      >>> ax.plot([[0, 1], [1, 0]])

  See the gallery for many other examples.

  property plot_widgets

    List of the associated PlotWidget instances

previous

vispy.plot.tests.test_plot module

next

vispy.plot.plotwidget module